## mingw-w64-texlive-bin-2023.20230523-10.src.tar.zst

=== libs/gd/libgd-src/tests/gdimagecopyresized/CMakeLists.txt ===
IF(PNG_FOUND)
LIST(APPEND TESTS_FILES
	gdimagecopyresized
)
ENDIF(PNG_FOUND)

ADD_GD_TESTS()

=== libs/gd/libgd-src/tests/gdimagescale/CMakeLists.txt ===
LIST(APPEND TESTS_FILES
	bug00329
	bug00330
	github_bug_00218
	bug_overflow_large_new_size
)

ADD_GD_TESTS()

=== utils/asymptote/LspCpp/third_party/uri/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.25

# Default target executed when no arguments are given to make.
default_target: all
.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /usr/local/src/asymptote-2.85/LspCpp

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /usr/local/src/asymptote-2.85/LspCpp

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache
.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache
.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components
.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# The main all target
all: cmake_check_build_system
	cd /usr/local/src/asymptote-2.85/LspCpp && $(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.85/LspCpp/CMakeFiles /usr/local/src/asymptote-2.85/LspCpp/third_party/uri//CMakeFiles/progress.marks
	cd /usr/local/src/asymptote-2.85/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/all
	$(CMAKE_COMMAND) -E cmake_progress_start /usr/local/src/asymptote-2.85/LspCpp/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /usr/local/src/asymptote-2.85/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/clean
.PHONY : clean

# The main clean target
clean/fast: clean
.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /usr/local/src/asymptote-2.85/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /usr/local/src/asymptote-2.85/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /usr/local/src/asymptote-2.85/LspCpp && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
third_party/uri/CMakeFiles/doc.dir/rule:
	cd /usr/local/src/asymptote-2.85/LspCpp && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 third_party/uri/CMakeFiles/doc.dir/rule
.PHONY : third_party/uri/CMakeFiles/doc.dir/rule

# Convenience name for target.
doc: third_party/uri/CMakeFiles/doc.dir/rule
.PHONY : doc

# fast build rule for target.
doc/fast:
	cd /usr/local/src/asymptote-2.85/LspCpp && $(MAKE) $(MAKESILENT) -f third_party/uri/CMakeFiles/doc.dir/build.make third_party/uri/CMakeFiles/doc.dir/build
.PHONY : doc/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... doc"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /usr/local/src/asymptote-2.85/LspCpp && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== PKGBUILD ===
# Maintainer: @naveen521kk on Github, Naveen M K <naveen521kk@gmail.com>

pkgbase=mingw-w64-texlive-bin
pkgname=("${MINGW_PACKAGE_PREFIX}-texlive-bin" "${MINGW_PACKAGE_PREFIX}-libsynctex")
pkgver=2023.20230523
pkgdesc="TeX Live binaries (mingw-w64)"
pkgrel=10
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64')
url='https://tug.org/texlive/'
msys2_repository_url="https://github.com/Tex-Live/texlive-source"
msys2_references=(
  "cpe: cpe:/a:tug:texlive"
)
license=('spdx:GPL-2.0-or-later AND GPL-3.0-or-later AND LGPL-2.1-or-later AND LGPL-2.0-or-later AND LPPL-1.3c')
makedepends=(
    "${MINGW_PACKAGE_PREFIX}-perl"
    "${MINGW_PACKAGE_PREFIX}-cairo"
    "${MINGW_PACKAGE_PREFIX}-pixman"
    "${MINGW_PACKAGE_PREFIX}-graphite2"
    "${MINGW_PACKAGE_PREFIX}-libsigsegv"
    "${MINGW_PACKAGE_PREFIX}-zziplib"
    "${MINGW_PACKAGE_PREFIX}-libpng"
    "${MINGW_PACKAGE_PREFIX}-libjpeg-turbo"
    "${MINGW_PACKAGE_PREFIX}-freetype"
    "${MINGW_PACKAGE_PREFIX}-icu"
    "${MINGW_PACKAGE_PREFIX}-harfbuzz"
    "${MINGW_PACKAGE_PREFIX}-gmp"
    "${MINGW_PACKAGE_PREFIX}-mpfr"
    "${MINGW_PACKAGE_PREFIX}-potrace"
    "${MINGW_PACKAGE_PREFIX}-libpaper"
    "${MINGW_PACKAGE_PREFIX}-ffcall"
    "${MINGW_PACKAGE_PREFIX}-libgd"
    "${MINGW_PACKAGE_PREFIX}-lua"
    "${MINGW_PACKAGE_PREFIX}-luajit"
    "${MINGW_PACKAGE_PREFIX}-ghostscript"
    "${MINGW_PACKAGE_PREFIX}-autotools"
    "${MINGW_PACKAGE_PREFIX}-cc"
    "${MINGW_PACKAGE_PREFIX}-pkgconf"
    # perl dependencies
    "${MINGW_PACKAGE_PREFIX}-perl-win32-api"
    "${MINGW_PACKAGE_PREFIX}-perl-win32-console"
    "${MINGW_PACKAGE_PREFIX}-perl-win32-shortcut"
    "${MINGW_PACKAGE_PREFIX}-perl-win32-tieregistry"
    "${MINGW_PACKAGE_PREFIX}-perl-win32-winerror"
    "${MINGW_PACKAGE_PREFIX}-perl-win32api-registry"
    "${MINGW_PACKAGE_PREFIX}-perl-file-which"
    "${MINGW_PACKAGE_PREFIX}-perl-io-string"
)
_commit=871c7a2856d70e1a9703d1f72f0587b9995dba5f # svn://tug.org/texlive/branches/branch2023/Build/source@66984
source=(
    "texlive-source-${_commit}.tar.gz::https://github.com/Tex-Live/texlive-source/archive/${_commit}.tar.gz"
    "0001-Remove-DLUASOCKET_INET_PTON-from-Makefile.patch"
    "0002-fix-lauchers-mingw32.patch"
    "0003-runscript-always-quote-args.patch"
    "0004-add-missing-includes-dvisvgm.patch"
    "0005-untighten_version_check_zlib.patch"
    "0006-workaround-pathconf.patch"
    "0007-stat.patch")
sha256sums=('d3eca31c6a16a168f66471ce3837b7c950826967162eab04d58233f52462527e'
            '86ef2a99b2f0caed42777419837d9b539af1d1c8a101701e539e5467bb88662e'
            'decff8db61302c2a1760cfd4b42aaf0e25fcb7d2b9621cea3ec3f4c2557976a1'
            'c22ad079777082ebb7fe90e64d3f0d20b75756e50af776f2d4c1b9f9e692dba3'
            '4d8cf5558e72d47b8d59ece23993b29fa36accf9bd3577cf9b3ea1cb777162a6'
            'f805930ee0396aea3c6d189c078ad57d4c5c9212f6f3cb7f25e0c74b8151e0b1'
            'e0fd72b6863156520bc7f30e446a991df6f35ec36de7a5ab2f767a091c2ea451'
            'e4682accd42f3cde2df65628a13c1ba2b19fb779207dc6dad832d1c7b7cb4ab6')

apply_patch_with_msg() {
  for _patch in "$@"
  do
    msg2 "Applying ${_patch}"
    patch -Nbp1 -i "${srcdir}/${_patch}"
  done
}

prepare() {
  mv -f "$srcdir/texlive-source-${_commit}" "$srcdir/texlive-source"
  cd "$srcdir/texlive-source"
  apply_patch_with_msg 0001-Remove-DLUASOCKET_INET_PTON-from-Makefile.patch
  apply_patch_with_msg 0003-runscript-always-quote-args.patch
  apply_patch_with_msg 0004-add-missing-includes-dvisvgm.patch

  # https://github.com/msys2/MINGW-packages/issues/18251
  # https://github.com/debian-tex/texlive-bin/blob/6dae83df50df3edc/debian/patches/untighten_version_check_zlib.diff
  apply_patch_with_msg 0005-untighten_version_check_zlib.patch

  # Remove when https://github.com/msys2/msys2-runtime/issues/208 is fixed:
  apply_patch_with_msg 0006-workaround-pathconf.patch

  # https://github.com/TeX-Live/texlive-source/commit/1622d0ff6363d5cb2a4a81cdffb72b78fe7c6ef9
  # https://github.com/TeX-Live/texlive-source/commit/21a44442e9932284f5d7dc724ac35ef01bd683dc
  apply_patch_with_msg 0007-stat.patch

  # from https://github.com/archlinux/svntogit-packages/blob/packages/texlive-bin/trunk/PKGBUILD#L21
  # bibtex-x needs kpathsea flags
  sed -i '/AC_SEARCH_LIBS/a KPSE_KPATHSEA_FLAGS' texk/bibtex-x/configure.ac

  # t4ht expects to be un /usr/share/texmf/bin/t4ht (FS#27251)
  sed -i s/SELFAUTOPARENT/TEXMFROOT/ texk/tex4htk/t4ht.c

  msg2 "Running autoreconf for all (sub-)projects with changed configuration files"
  ./reautoconf -v
}

build() {
  cd "$srcdir/texlive-source"

  #############################################################
  ### configure
  mkdir -p build-${MSYSTEM} && cd build-${MSYSTEM}

  echo "--> Initial configuration..."
  export lt_cv_deplibs_check_method='pass_all'
  CXXFLAGS+=" -std=gnu++17"
  CFLAGS+=" -Wno-error=incompatible-pointer-types -std=gnu17"
  # we use temporary prefix to avoid messing the existing
  # $pkgdir/usr/share/texmf tree
  ../configure -C \
    --prefix="${MINGW_PREFIX}" \
    --disable-static \
    --enable-shared \
    --disable-missing \
    --disable-native-texlive-build \
    --with-banner-add="/Built by MSYS2 project" \
    --disable-multiplatform \
    --disable-t1utils \
    --disable-bibtexu \
    --with-system-zlib \
    --with-system-zziplib \
    --with-system-libpng \
    --with-system-ncurses \
    --with-system-gd \
    --with-system-freetype2 \
    --with-system-pixman \
    --with-system-cairo \
    --with-system-harfbuzz \
    --with-system-graphite2 \
    --with-system-icu \
    --with-system-gmp \
    --with-system-mpfr \
    --with-system-potrace \
    --with-system-libpaper \
    --with-xdvi-x-toolkit=xaw \
    --disable-dump-share \
    --enable-aleph \
    --disable-xpdfopen
  #############################################################
  ### make
  echo "-------------------------------------------------------"
  echo "--> Building the whole beast ..."
  echo "-------------------------------------------------------"
  make

  msg "Building Launchers"
  # let's build launchers first
  # it is present in ../texk/texlive/windows_mingw_wrapper wrapper

  # first delete *.exe and *.dll from the locations
  rm -f ../texk/texlive/windows_mingw_wrapper/*.exe ../texk/texlive/windows_mingw_wrapper/*.dll \
     ../texk/texlive/windows_mingw_wrapper/context/*.exe ../texk/texlive/windows_mingw_wrapper/context/*.dll
  cp "libs/lua53/.libs/texlua.dll" ../texk/texlive/windows_mingw_wrapper
  cp "libs/lua53/.libs/libtexlua53.dll.a" ../texk/texlive/windows_mingw_wrapper
  cd ../texk/texlive/windows_mingw_wrapper

  echo '1 ICON "tlmgr.ico"'>texlive.rc
  windres texlive.rc texlive.o

  cc ${CFLAGS} -shared -Wl,--out-implib=librunscript.dll.a -o runscript.dll runscript_dll.c -L./ -ltexlua53
  cc ${CFLAGS} -o runscript.exe runscript_exe.c texlive.o -L./ -lrunscript
  cc -mwindows ${CFLAGS} -o wrunscript.exe wrunscript_exe.c texlive.o -L./ -lrunscript

  cd context
  cc ${CFLAGS} -shared -Wl,--out-implib=libmtxrun.dll.a -o mtxrun.dll mtxrun_dll.c
  cc ${CFLAGS} -o mtxrun.exe mtxrun_exe.c -L./ -lmtxrun
  cd ..
  #cleanup
  rm texlive.rc texlive.o texlua.dll libtexlua53.dll.a
}

package_libsynctex() {
  pkgdesc='Library for synchronization between TeX files and resulting file (mingw-w64)'
  depends=("${MINGW_PACKAGE_PREFIX}-zlib")

  cd "${srcdir}/texlive-source/build-${MSYSTEM}"
  make -C texk/web2c DESTDIR="${pkgdir}" \
      install-data-am install-libLTLIBRARIES

  rm -f "$pkgdir"/${MINGW_PREFIX}/share/man/man1/hi*.*
}

package_texlive-bin() {
  pkgdesc="TeX Live binaries"
  depends=(
    "${MINGW_PACKAGE_PREFIX}-cairo"
    "${MINGW_PACKAGE_PREFIX}-pixman"
    "${MINGW_PACKAGE_PREFIX}-graphite2"
    "${MINGW_PACKAGE_PREFIX}-libsigsegv"
    "${MINGW_PACKAGE_PREFIX}-zziplib"
    "${MINGW_PACKAGE_PREFIX}-libpng"
    "${MINGW_PACKAGE_PREFIX}-libjpeg-turbo"
    "${MINGW_PACKAGE_PREFIX}-freetype"
    "${MINGW_PACKAGE_PREFIX}-icu"
    "${MINGW_PACKAGE_PREFIX}-harfbuzz"
    "${MINGW_PACKAGE_PREFIX}-gmp"
    "${MINGW_PACKAGE_PREFIX}-mpfr"
    "${MINGW_PACKAGE_PREFIX}-potrace"
    "${MINGW_PACKAGE_PREFIX}-libpaper"
    "${MINGW_PACKAGE_PREFIX}-libgd"
    "${MINGW_PACKAGE_PREFIX}-libsynctex"
    "${MINGW_PACKAGE_PREFIX}-lua"
    "${MINGW_PACKAGE_PREFIX}-luajit"
    "${MINGW_PACKAGE_PREFIX}-ghostscript"
    # perl dependencies
    "${MINGW_PACKAGE_PREFIX}-perl-win32-api"
    "${MINGW_PACKAGE_PREFIX}-perl-win32-console"
    "${MINGW_PACKAGE_PREFIX}-perl-win32-shortcut"
    "${MINGW_PACKAGE_PREFIX}-perl-win32-tieregistry"
    "${MINGW_PACKAGE_PREFIX}-perl-win32-winerror"
    "${MINGW_PACKAGE_PREFIX}-perl-win32api-registry"
    "${MINGW_PACKAGE_PREFIX}-perl-file-which"
    "${MINGW_PACKAGE_PREFIX}-perl-io-string")
  provides=(
    "${MINGW_PACKAGE_PREFIX}-lcdf-typetools"
    "${MINGW_PACKAGE_PREFIX}-kpathsea"
    #"${MINGW_PACKAGE_PREFIX}-xindy" #once clisp is build this needs to be enabled
  )
  #optdepends=('ed: for texconfig'
  #            'biber: for bibliography processing')
  options=('!strip')

  cd "$srcdir/texlive-source"

  #############################################################
  ### install
  echo "-------------------------------------------------------"
  echo "--> Proceeding with make install ..."
  echo "-------------------------------------------------------"
  cd build-${MSYSTEM}
  make DESTDIR="${pkgdir}" texmf="${pkgdir}${MINGW_PREFIX}"/share/texmf install
  rm -rf "${pkgdir}${MINGW_PREFIX}"/{texmf,share/texmf-dist}

  # should be updated with what arch does.
  ## symlink engines by hand. texlinks has moved to texlive-core...
  cd "${pkgdir}${MINGW_PREFIX}"/bin
  mkdir -p "${pkgdir}${MINGW_PREFIX}"/bin
  install -D -m755 eptex.exe "${pkgdir}"${MINGW_PREFIX}/bin/platex.exe
  install -D -m755 euptex.exe "${pkgdir}"${MINGW_PREFIX}/bin/uplatex.exe
  install -D -m755 luatex.exe "${pkgdir}"${MINGW_PREFIX}/bin/dvilualatex.exe
  install -D -m755 luatex.exe "${pkgdir}"${MINGW_PREFIX}/bin/dviluatex.exe
  install -D -m755 luahbtex.exe "${pkgdir}"${MINGW_PREFIX}/bin/lualatex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/amstex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/cslatex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/csplain.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/eplain.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/etex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/jadetex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/latex.exe
  install -D -m755 tex.exe "${pkgdir}"${MINGW_PREFIX}/bin/lollipop.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/mex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/mllatex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/mltex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/pdfetex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/pdfcslatex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/pdfcsplain.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/pdfjadetex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/pdflatex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/pdfmex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/pdfxmltex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/texsis.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/utf8mex.exe
  install -D -m755 pdftex.exe "${pkgdir}"${MINGW_PREFIX}/bin/xmltex.exe
  install -D -m755 xetex.exe "${pkgdir}"${MINGW_PREFIX}/bin/xelatex.exe

  # install mtxrun.dll
  install -D -m755 "${srcdir}/texlive-source/texk/texlive/windows_mingw_wrapper/context/mtxrun.dll" \
      "${pkgdir}${MINGW_PREFIX}/bin/mtxrun.dll"

  for _script in context contextjit luatools mtxrun mtxrunjit texexec texmfstart
  do
    install -D -m755 "${srcdir}/texlive-source/texk/texlive/windows_mingw_wrapper/context/mtxrun.exe" \
